Loading...
Searching...
No Matches
patterned_interleaver.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2013 Free Software Foundation, Inc.
*
* This file is part of GNU Radio
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_BLOCKS_PATTERNED_INTERLEAVER_H
#define INCLUDED_BLOCKS_PATTERNED_INTERLEAVER_H
#include <gnuradio/block.h>
#include <gnuradio/blocks/api.h>
namespace gr {
namespace blocks {
/*!
* \brief Interleave items based on the provided vector \p pattern.
* \ingroup stream_operators_blk
*/
class BLOCKS_API patterned_interleaver : virtual public block
{
public:
typedef std::shared_ptr<patterned_interleaver> sptr;
/*!
* Make a patterned interleaver block.
*
* \param itemsize stream itemsize
* \param pattern vector that represents the interleaving pattern
*/
static sptr make(size_t itemsize, std::vector<int> pattern);
};
} // namespace blocks
} // namespace gr
#endif /* INCLUDED_BLOCKS_PATTERNED_INTERLEAVER_H */
gr::block::block
block(void)
Definition gnuradio-runtime/include/gnuradio/block.h:806
gr::blocks::patterned_interleaver
Interleave items based on the provided vector pattern.
Definition patterned_interleaver.h:25
gr::blocks::patterned_interleaver::sptr
std::shared_ptr< patterned_interleaver > sptr
Definition patterned_interleaver.h:27
gr::blocks::patterned_interleaver::make
static sptr make(size_t itemsize, std::vector< int > pattern)
block.h
api.h
BLOCKS_API
#define BLOCKS_API
Definition gr-blocks/include/gnuradio/blocks/api.h:18
gr::blocks
Definition abs_blk.h:20
gr
GNU Radio logging wrapper.
Definition basic_block.h:29